import matplotlib.pyplot as plt
import numpy as np
import seaborn as sns

mpg = sns.load_dataset("mpg")

order = ['europe', 'usa', 'japan']
sns.barplot(x='origin', y='horsepower', hue='cylinders',
            palette='Set2', order=order, data=mpg)

plt.show()
